Bug 49764 - [EDITING] Conditional formatting make very slow introduce data in cells with conditional formatting
Summary: [EDITING] Conditional formatting make very slow introduce data in cells with ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other Windows (All)
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:3.6.0.0.beta3 target:3.7.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-05-10 17:02 UTC by m.a.riosv
Modified: 2016-10-18 12:48 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments
Table to set working days (101.56 KB, application/x-vnd.oasis.opendocument.spreadsheet)
2012-05-10 17:02 UTC, m.a.riosv
Details

Note You need to log in before you can comment on or make changes to this bug.
Description m.a.riosv 2012-05-10 17:02:54 UTC
Created attachment 61410 [details]
Table to set working days

In the attached file.
The area with yellow background have conditional formatting to remark sundays and holidays.
Introduce data in any cell of this area is very slow, LibreO first make the recalculation and after there is a pause, no pause when introduce data in a cell without conditional formatting.

This behavior is a regression at least from 3.4.4 (no problem in 3.3.4 neither Aoo 3.4) up to version 3.6.0alpha0+ (Build ID: 7f3f6e4)

To introduce several cells in continuously it is very annoying
Comment 1 bfoman (inactive) 2012-05-11 06:05:54 UTC
Confirmed with:
LOdev 3.5.3rc1+ 
Build ID: 51648779-22e3d74-d554af7
Windows 7 Professional SP1 64 bit

Data entry is kinda slow, ~2-3 seconds of pause after each updated cell in yellow area.
Comment 2 Markus Mohrhard 2012-05-11 15:50:57 UTC
So this behavior has been like that already in 3.5? I ask because I recently modified some drawing related code and hope it is not related to that.
Comment 3 m.a.riosv 2012-05-11 16:01:23 UTC
(In reply to comment #2)
> So this behavior has been like that already in 3.5? I ask because I recently
> modified some drawing related code and hope it is not related to that.

Yes in LibreOffice 3.5.3.2, Build ID: 235ab8a-3802056-4a8fed3-2d66ea8-e241b80
Yes in master~2012-05-11_12.28.13_LibO-Dev_3.6.0alpha0_Win_x86_install_en-US
Comment 4 Markus Mohrhard 2012-05-11 22:12:38 UTC
If I find some time I will look into this one during color scale work.
Comment 5 Markus Mohrhard 2012-06-24 17:40:21 UTC
This is not a MAB. This only happens because the definition of this conditional format is really awkward. The ScRangeList for this conditional format contains around 1800 entries and for each one we repaint the whole visible area.
Comment 6 Not Assigned 2012-06-24 19:01:56 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4f6d6912e9916496a1a54cea6df10f7529dca378&g=libreoffice-3-6

pass the ScRangeList directly to improve performance, fdo#49764


It will be available in LibreOffice 3.6.
Comment 7 Not Assigned 2012-06-24 19:02:22 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=77533d6ec1c7f0849db0c34b61d6583d7b3d0018

pass the ScRangeList directly to improve performance, fdo#49764
Comment 8 Markus Mohrhard 2012-06-24 19:03:57 UTC
This should improve the performance significantly. Performance still sucks but the remaining part is not related to the conditional formatting. The problem now is that our matrix calculation is dead slow.
Comment 9 Markus Mohrhard 2012-06-24 19:04:57 UTC
Please test this in a release build. Testing this with a developer computer does not make much sense. I only need half a second to change a cell so I can't see any improvements without a profiling tool.
Comment 10 m.a.riosv 2012-06-25 05:04:36 UTC
(In reply to comment #5)
> This is not a MAB. This only happens because the definition of this conditional
> format is really awkward. The ScRangeList for this conditional format contains
> around 1800 entries and for each one we repaint the whole visible area.

Doesn't happen with LibreOffice 3.3.4.
Comment 11 m.a.riosv 2012-07-21 14:32:58 UTC
With Versión 3.6.0.2 (ID 815c576)

I can't see any improvement.

Curious not delay pasting.
Comment 12 OfficeUser 2016-10-18 12:48:14 UTC
Related with Bug 103312?